commit:     352855dfc65d872b57941614fa10c8319b64caa1
Author:     end222 <pabloorduna98 <AT> gmail <DOT> com>
AuthorDate: Tue Nov 24 17:43:15 2020 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Wed Nov 25 07:50:19 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=352855df

x11-terms/kitty-terminfo: bump to 0.19.2

Signed-off-by: Pablo Orduna <pabloorduna98 <AT> gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/18389
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 x11-terms/kitty-terminfo/Manifest                  |  1 +
 .../kitty-terminfo/kitty-terminfo-0.19.2.ebuild    | 41 ++++++++++++++++++++++
 2 files changed, 42 insertions(+)

diff --git a/x11-terms/kitty-terminfo/Manifest 
b/x11-terms/kitty-terminfo/Manifest
index 2d5a22808ee..b600f93893c 100644
--- a/x11-terms/kitty-terminfo/Manifest
+++ b/x11-terms/kitty-terminfo/Manifest
@@ -1 +1,2 @@
 DIST kitty-0.19.1.tar.xz 3262516 BLAKE2B 
82520e79125483a9e3b6592bdf38e782231934214a989fe44ad6c587a025338a98f1d09219a315dfbffc8264be5f5b2352db457b5e11edc2d08af594989a8092
 SHA512 
3a61d15598f32634646cbf0be596e9023420452130be1b9a718d2ce7daf3edeee6d2ba3abfe91c768758b043ed46423a2382680f9dd65fd6a6c57dbcd0fc1fd3
+DIST kitty-0.19.2.tar.xz 3259928 BLAKE2B 
c6060a098df53e53cfd56f680f0972ee2a116c0d9ae8eabd2f087540f5f181a5980e2d963d27f24df5c57f6e81327591531397341e33b3d9bb4a2420138aa473
 SHA512 
86b6a08c7f5282587967ff7e3509d6ac4ef556b3bbeae1a9529a584f804f204d54f5031a90dcd08af735eb16a283938fa9e49c8d767dca12e945b7493f0e76da

diff --git a/x11-terms/kitty-terminfo/kitty-terminfo-0.19.2.ebuild 
b/x11-terms/kitty-terminfo/kitty-terminfo-0.19.2.ebuild
new file mode 100644
index 00000000000..cc2defc9868
--- /dev/null
+++ b/x11-terms/kitty-terminfo/kitty-terminfo-0.19.2.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8} )
+
+inherit python-any-r1 toolchain-funcs xdg
+
+DESCRIPTION="Terminfo for kitty, an OpenGL-based terminal emulator"
+HOMEPAGE="https://github.com/kovidgoyal/kitty";
+SRC_URI="https://github.com/kovidgoyal/kitty/releases/download/v${PV}/kitty-${PV}.tar.xz";
+S="${WORKDIR}/kitty-${PV}"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="debug"
+
+DEPEND="${PYTHON_DEPS}"
+
+PATCHES=(
+       "${FILESDIR}"/kitty-terminfo-setup-0.19.1.patch
+)
+
+# kitty-terminfo is a split package from kitty that only installs the terminfo
+# file. As tests are designed to be run with the whole package compiled they
+# would fail in this case.
+RESTRICT="test"
+
+src_compile() {
+       "${EPYTHON}" setup.py \
+               --verbose $(usex debug --debug "") \
+               --libdir-name $(get_libdir) \
+               linux-terminfo || die "Failed to compile kitty."
+}
+
+src_install() {
+       insinto /usr
+       doins -r linux-package/*
+}

Reply via email to